import { request } from '../request';

// 定义 API URL 常量
const BASE_URL = 'http://localhost:58926/api';

// 声明接口 URL 变量
const GET_CODELIST = `${BASE_URL}/LvYueBiao/GetAllLvYueBiaoList`;
const GET_EditLvYueBiaoList = `${BASE_URL}/LvYueBiao/GetEditLvYueBiaoList`;

/** 获取所有履约表信息 */
export function fetchGetLybList(params?: Api.Exploitation.PurchaseOrderSearchParams) {
  return request<Api.Exploitation.PurchaseOrderList>({
    url: GET_CODELIST,
    method: 'post',
    data: params
  });
}

/** 获取可修改的履约表信息 */
export function fetchGetLyb_EditList(params?: Api.Exploitation.PurchaseOrderSearchParams) {
  return request<Api.Exploitation.PurchaseOrderList>({
    url: GET_EditLvYueBiaoList,
    method: 'post',
    data: params
  });
}
